MPD: UPnPDeviceDirectory Class Reference

MPD 0.20.18

Data Structures | Public Member Functions
UPnPDeviceDirectory Class Referencefinal

Manage UPnP discovery and maintain a directory of active devices. More...

`#include <Discovery.hxx>`

Inheritance diagram for UPnPDeviceDirectory:
[legend]
Collaboration diagram for UPnPDeviceDirectory:
[legend]

## Public Member Functions
| UPnPDeviceDirectory (UpnpClient_Handle _handle, UPnPDiscoveryListener *_listener=nullptr)
| ~UPnPDeviceDirectory ()
| UPnPDeviceDirectory (const UPnPDeviceDirectory &)=delete
UPnPDeviceDirectory & | operator= (const UPnPDeviceDirectory &)=delete
void | Start ()
std::vector< ContentDirectoryService > | GetDirectories ()
| Retrieve the directory services currently seen on the network. More...
ContentDirectoryService | GetServer (const char *friendly_name)
| Get server by friendly name. More...

## Detailed Description

Manage UPnP discovery and maintain a directory of active devices.

Singleton.

We are only interested in MediaServers with a ContentDirectory service for now, but this could be made more general, by removing the filtering.

Definition at line 56 of file Discovery.hxx.

## Constructor & Destructor Documentation

## ◆ UPnPDeviceDirectory() [1/2]

UPnPDeviceDirectory::UPnPDeviceDirectory | ( | UpnpClient_Handle | _handle,
|  | UPnPDiscoveryListener * | _listener = `nullptr`
| ) |  |

## ◆ ~UPnPDeviceDirectory()

UPnPDeviceDirectory::~UPnPDeviceDirectory | ( |  | ) |

## ◆ UPnPDeviceDirectory() [2/2]

UPnPDeviceDirectory::UPnPDeviceDirectory | ( | const UPnPDeviceDirectory & |  | ) |
| delete

## Member Function Documentation

## ◆ GetDirectories()

std::vector<ContentDirectoryService> UPnPDeviceDirectory::GetDirectories | ( |  | ) |

Retrieve the directory services currently seen on the network.

## ◆ GetServer()

ContentDirectoryService UPnPDeviceDirectory::GetServer | ( | const char * | friendly_name | ) |

Get server by friendly name.

## ◆ operator=()

UPnPDeviceDirectory& UPnPDeviceDirectory::operator= | ( | const UPnPDeviceDirectory & |  | ) |
| delete

## ◆ Start()

void UPnPDeviceDirectory::Start | ( |  | ) |

The documentation for this class was generated from the following file:

- lib/upnp/Discovery.hxx